# Quick Start

Sats Terminal SDK package provides access to the Sats Terminal API to find and execute the best on-chain trade for runes across various exchanges.

### Installation <a href="#installation" id="installation"></a>

{% tabs %}
{% tab title="npm" %}

```
npm install satsterminal-sdk
```

{% endtab %}
{% endtabs %}

### Importing the SDK <a href="#importing-the-sdk" id="importing-the-sdk"></a>

The `satsterminal-sdk` is compatible with both CommonJS and ES6 module systems.

**For CommonJS:**

```
const { SatsTerminal } = require('satsterminal-sdk');
```

**For ES6 Modules/TypeScript:**

```
import { SatsTerminal } from 'satsterminal-sdk';
```

{% hint style="info" %}
The `satsterminal-sdk` library is natively type-safe, providing enhanced code reliability and developer experience, especially when using TypeScript.
{% endhint %}

### Configuration <a href="#configuration" id="configuration"></a>

The `satsterminal-sdk` requires configuration when initializing:

```
import { SatsTerminal } from 'satsterminal-sdk';

const satsTerminal = new SatsTerminal({
  apiKey: 'your_api_key_here'
});
```

{% hint style="danger" %}
API key is required and is rate-limited, you can find more details about this [here](https://satsterminal.gitbook.io/sats-terminal/getting-started/rate-limits-and-api-keys).
{% endhint %}

{% hint style="info" %}
Apply for an API key here: [Sats Terminal Partnership Form](https://docs.google.com/forms/d/e/1FAIpQLSeTH9w1hVZQRLpu0gPjTM67gauuU2G95sy6vWpI9EJkb6Iz4g/viewform?usp=send_form)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.satsterminal.com/trade/swap-sdk/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
